# Fetch 1.1 changelog

- If `w3m` or `imagemagick` aren't installed we gracefully fallback to no image mode.
- Fix padding escape codes on BSD systems.
- Swap escape codes from `\e` to `\033` for consistency.
- We only move the cursor to the bottom of the terminal in w3m/iterm2 rendering modes.
- Cursor position is now dynamic based on the height of the ascii and info text.

### Info

**Kernel:**

- Added `kernel_shorthand` to print less or more kernel info

**Distro:**

- Added support for showing Max OS X build version.
    - You can toggle it using `--osx_buildversion` and `$osx_buildversion`.

**Window Manager:**

- Added support for `$XINITRC`

**Shell:**

- Added `--shell_version` and `$shell_version` to hide/show your shell's version.
- Added `--shell_path` and `$shell_path` to hide/show the path to your shell

**GTK:**

- Fix incorrect GTK3 theme being displayed


**Memory:**

- Mac OS X: Added wired memory to memory usage.


### Image

- Rename `--shuffledir` and `$shuffledir` to `shuffle_dir`.
- Added support for ascii art inside of text files.
- If `--image` and `--ascii` are left empty we fallback to ascii distro mode.

```sh
fetch --ascii "path/to/ascii" --ascii_color 2

```

- Added "screenfetch mode" which will display your distro's ascii art<br\>
  next to the info.<br \>
  See: http://localhost:6419/#how-do-i-enable-screenfetch-mode
- Added `--ascii_distro` to choose which distro's ascii logo to display.
